%define patch_name	kernel-fix-drivers-usb

Name: %patch_name
Version: 2005.07.02
Release: alt1.M30.5

Summary: %patch_name - Linux kernel USB drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# 2.4.x patches
%source 01	2.4_01_hiddev-uref-multi.patch				2.4
%source 02	2.4_02_hiddev-fix-header.patch				2.4
%source 03	2.4_03_hiddev-fix-limits.patch				2.4
%source 07	2.4_07_usblp-getid.patch				2.4
%source 11	2.4_11_storage-genesys.patch				2.4
%source 12	2.4_12_storage-inquiry-limit.patch			2.4
# http://mcmcc.bat.ru/omniusb/omninet.diff
%source 30	2.4_30_serial-zyxel-omninet.diff			2.4
%source 31	2.4_31_hid-core-noget-alt.patch				2.4
%source 40	2.4_40_usb_storage.patch				2.4
%source 41	2.4_41_usb-ohci-ALi-fix.patch				2.4
%source 42	2.4_42_usb-inode-fix.patch				2.4
%source 43	2.4_43_disable_all_usb.patch				2.4
%source 44	2.4_44_serial-ipaq-rover-p3plus.patch			2.4
%source 45	2.4_45_hci_usb-zero-packet.patch			2.4
%source 46	2.4_46_usb-io_edgeport-oops-1.patch			2.4
%source 47	2.4_47_hiddev-busy-loop-1.patch				2.4
%source 48	2.4_48_usb-serial_write-oops-1.patch			2.4

# 2.6.x patches
%source 2600	2.6_00_cdc-acm-release-interface.patch			2.6
%source 2601	2.6_01_usbcore-export-usb_get_intf.patch		2.6
%source 2602	2.6_02_cdc-acm-disconnect.patch				2.6
%source 2603	2.6_03_usbcore-old_scheme_first.patch			2.6
%source 2604	2.6_04_pegasus-elecom.patch				2.6
%source 2605	2.6_05_genelink-usbnet-skb-typo.patch			2.6
%source 2606	2.6_06_pl2303-hx.patch					2.6
%source 2607	2.6_07_pl2303-nokia-ca-42.patch				2.6
%source 2608	2.6_08_pl2303-siemens-sx1-x75.patch			2.6
%source 2609	2.6_09_pl2303-update-line-status.patch			2.6
%source 2610	2.6_10_pl2303-ca-42-clone.patch				2.6
%source 2611	2.6_11_pl2303-sagem.patch				2.6
%source 2612	2.6_12_pl2303-leadtek-gps-mouse-9531.patch		2.6
%source 2613	2.6_13_usbserial-write_urb_busy.patch			2.6
%source 2614	2.6_14_usbserial-write_urb_busy-fix.patch		2.6
%source 2615	2.6_15_usbserial-void-casts.patch			2.6
%source 2616	2.6_16_usbserial-null-checks.patch			2.6
%source 2617	2.6_17_usbserial-open-close-race.patch			2.6
%source 2618	2.6_18_option-array-overrun.patch			2.6
%source 2619	2.6_19_ohci_hcd-reboot-notifier.patch			2.6

BuildRequires: kernel-build-tools

%description
Linux kernel USB drivers fixes.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Fri Jun 30 2006 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1.M30.5
- Added patches for 2.6.12:
  + 2.6_18_option-array-overrun.patch: option: fix array overrun
  + 2.6_19_ohci_hcd-reboot-notifier.patch: ohci-hcd: add reboot notifier (fixes
    poweroff problems on some machines)

* Tue Feb 28 2006 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1.M30.4
- Added:
  + 2.6_13_usbserial-write_urb_busy.patch,
    2.6_14_usbserial-write_urb_busy-fix.patch: usbserial: add spinlock, fix
    racy and buggy code checking URB status
  + 2.6_15_usbserial-void-casts.patch: usbserial: remove unneeded void * casts
  + 2.6_16_usbserial-null-checks.patch: usbserial: add NULL checks in tty
    operation to avoid oopses on NULL pointer dereferences
  + 2.6_17_usbserial-open-close-race.patch: usbserial: fix race between open()
    and close() which could lead to oopses

* Fri Feb 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1.M30.3
- Added:
  + 2.6_06_pl2303-hx.patch: pl2303: make PL2303HX chip work correctly
  + 2.6_07_pl2303-nokia-ca-42.patch: pl2303: add ID for Nokia CA-42 USB cable
  + 2.6_08_pl2303-siemens-sx1-x75.patch: pl2303: add IDs for Siemens SX1 and
    x75 mobiles
  + 2.6_09_pl2303-update-line-status.patch: pl2303: fix data length check in
    pl2303_update_line_status
  + 2.6_10_pl2303-ca-42-clone.patch: pl2303: add ID for CA-42 clone cable
  + 2.6_11_pl2303-sagem.patch: pl2303: add ID for Sagem mobile
  + 2.6_12_pl2303-leadtek-gps-mouse-9531.patch: pl2303: add ID for Leadtek
    GPS-Mouse 9531

* Sun Nov 06 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1.M30.2
- Added patches for 2.4.29:
  - 2.4_46_usb-io_edgeport-oops-1.patch: fix oops in io_edgeport.c driver
  - 2.4_47_hiddev-busy-loop-1.patch: prevent hiddev from looping
  - 2.4_48_usb-serial_write-oops-1.patch: fix oops in serial_write

* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1.M30.1
- Added:
  + 2.6_04_pegasus-elecom.patch: pegasus: add Elecom (Laneed) LD-USBL/TX
    support
  + 2.6_05_genelink-usbnet-skb-typo.patch: usbnet: fix gl_skb/skb type error in
    genelink driver

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_04_visor-oops-fix.patch
- Updated patches:
  + 2.6_03_usbcore-old_scheme_first.patch: use_both_schemes is set by default
    in 2.6.12, only old_scheme_first needs to be modified.

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_04_visor-oops-fix.patch: fix bug in visor driver with
    throttle/unthrottle causing oopses

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_03_usbcore-old_scheme_first.patch: enable "old_scheme_first" and
    "use_both_schemes" parameters of usbcore by default (#6728)

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_038-ftdi_sio_debug_output.patch
  - 2.6_00_073-usb_gadget_serial_free_ports.patch
  - 2.6_00_074-usb_makefile_fixes.patch
- Added:
  + 2.6_00_cdc-acm-release-interface.patch: fix cdc-acm oops on disconnect if
    the USB core released the data interface before the control interface
  + 2.6_01_usbcore-export-usb_get_intf.patch: export usb_get_intf and
    usb_put_intf so that modules can increase usb interface reference counts
  + 2.6_02_cdc-acm-disconnect.patch: fix cdc-acm oops on close when the device
    was disconnected while open

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_038-ftdi_sio_debug_output.patch
  + 2.6_00_073-usb_gadget_serial_free_ports.patch
  + 2.6_00_074-usb_makefile_fixes.patch

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.01.08-alt1
- Added:
  + 2.4_11_storage-genesys.patch: workaround for buggy Genesys Logic chips
  + 2.4_12_storage-inquiry-limit.patch: fix for ViPowER USB-IDE adapter to make
    it work with ATAPI devices

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated for kernel 2.4.28.
- Removed obsolete patches:
  - 2.4_10_serial-write-fix.patch

* Mon Nov 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.11.29-alt1
- Added:
  + 2.4_10_serial-write-fix.patch: avoid loss of written data if the usbserial
    device was busy

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_05_usblp-disconnect.patch
   - 2.4_06_storage-locking-fixes.patch
   - 2.4_08_ehci_hcd-handoff.patch
- Replaced old hiddev patches:
   - 2.4_01_hiddev-fix-limits.patch
   - 2.4_02_hiddev-fix-gucode.patch
   - 2.4_03_hiddev-fix-copy_to_user.patch
   - 2.4_04_hiddev-fix-multi.patch
  with updated patches for 2.4.27:
   + 2.4_01_hiddev-uref-multi.patch
   + 2.4_02_hiddev-fix-header.patch
   + 2.4_03_hiddev-fix-limits.patch

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2004.08.16-alt1
- Removed obsoleted patches:
    - 2.6_50_ehci_hcd-handoff.patch
    - 2.6_51_phidgetservo-fixes.patch
    - 2.6_52_storage-jumpshot-fix.patch

* Wed Jun 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.23-alt1
- Renumbered patches and added 2.4_/2.6_ prefixes.
- Added:
  + 2.4_08_ehci_hcd-handoff.patch, 2.6_50_ehci_hcd-handoff.patch: fix EHCI BIOS
    handoff bug
  + 2.6_51_phidgetservo-fixes.patch: fix use of freed memory in PhidgetServo
    driver
  + 2.6_52_storage-jumpshot-fix.patch: fix size reporting in the Lexar Jumpshot
    CF driver; avoid "unneeded entry" message with some devices

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 04_01-serial-visor-new-ids.patch
  - 04_02-serial-ftdi_sio-new-ids.patch
  - 04_03-storage-unusual_devs.patch
  - 04_04-hid-multi-usage-alt.patch
  - 04_05-hid-warning-fix.patch
  - 04_06-gadget-ether-locking.patch
  - 04_07-hcd-ehci-update.patch
  - 04_08-storage-unusual_devs.patch
  - 04_09-serial-ftdi_sio-new-ids.patch
  - 04_10-serial-ftdi_sio-new-ids.patch
  - 04_11-net-pegasus-new-ids.patch
  - 04_12-net-pegasus-new-ids.patch
  - 04_13-core-rh-bounce.patch
  - 04_14-audio-bad-desc.patch
  - 04_15-storage-unusual_devs.patch
  - 04_16-storage-unusual_devs.patch
  - 04_17-serial-io_edgeport-dtr.patch
  - 04_18-gadget-core-utf-8.patch
  - 04_19-serial-pl2303-dma-stack.patch
  - 04_20-hid-nec-gamepad.patch
  - 04_21-printer-write-loop.patch
  - 04_26-doc-maintainer.patch
- Added:
  + 26_01_hiddev-fix-limits.patch: fix limit checkins for HIDIOC[GS]USAGE
  + 26_02_hiddev-fix-gucode.patch: fix HIDIOCGUCODE broken by the previous patch
  + 26_03_hiddev-fix-copy_to_user.patch: fix copy_to_user returns in hiddev
  + 26_04_hiddev-fix-multi.patch: fix HIDIOC[GS]USAGES kernel stack usage and
    missing definitions in <linux/hiddev.h>
  + 26_05_usblp-disconnect.patch: usblp locking fix (fixes disconnect problems)
  + 26_06_storage-locking-fixes.patch: fix races in usb-storage
  + 26_07_usblp-getid.patch: workaround for HP LasetJet 1300 lockup on GET_ID
    requests in parallel with bulk I/O

* Fri Apr 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.02-alt1
- Replaced 04_04-hid-multi-usage.patch with 04_04-hid-multi-usage-alt.patch:
  reverted most of the patch except the actual HID parser fix.
  include/linux/hiddev.h parts broke compilation of userspace programs, and
  drivers/usb/hiddev.c parts could cause kernel stack overflow.

* Thu Apr 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.01-alt1
- Added patches:
  + 90_11-hiddev-fix.patch: <linux/hiddev.h> needs to include <asm/types.h>

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Added patches:
  - 04_01-serial-visor-new-ids.patch: add support for the Aceeca Meazura device
    to the visor driver
  - 04_02-serial-ftdi_sio-new-ids.patch: Interbiometrics USB I/O Board
  - 04_03-storage-unusual_devs.patch: Sony PEG N760c Memorystick
  - 04_04-hid-multi-usage.patch: fix HID support for non-explicitly specified
    usages
  - 04_05-hid-warning-fix.patch: fix hid-core compile warning
  - 04_06-gadget-ether-locking.patch: ethernet gadget locking tweaks
  - 04_07-hcd-ehci-update.patch: EHCI updates (mostly periodic schedule
    scanning)
  - 04_08-storage-unusual_devs.patch: fix unneeded SubClass entry in
    unusual_devs.h
  - 04_09-serial-ftdi_sio-new-ids.patch: 8U232AM alternate pid; ELV USB Module
    UO100
  - 04_10-serial-ftdi_sio-new-ids.patch: www.irtrans.de device
  - 04_11-net-pegasus-new-ids.patch: OCT USB TO Ethernet
  - 04_12-net-pegasus-new-ids.patch: GIGABYTE GN-BR402W Wireless Router
  - 04_13-core-rh-bounce.patch: fix handling of bounce buffers by
    rh_call_control
  - 04_14-audio-bad-desc.patch: OSS audio driver workaround for buggy
    descriptors
  - 04_15-storage-unusual_devs.patch: unusual devs fix for Pentax cameras
  - 04_16-storage-unusual_devs.patch: t33520 USB Flash Card Controller
  - 04_17-serial-io_edgeport-dtr.patch: fix DTR handling in io_edgeport
  - 04_18-gadget-core-utf-8.patch: make usb gadget strings talk utf-8
  - 04_19-serial-pl2303-dma-stack.patch: fix stack usage in pl2303 driver
  - 04_20-hid-nec-gamepad.patch: using physical extents instead of logical ones
    for NEC USB HID gamepads
  - 04_21-printer-write-loop.patch: fix USB printer write problems
  - 04_26-doc-maintainer.patch: change the USB Maintainer entry

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Updated patches:
  - 90_04_usb-inode-fix.patch (list handling fix merged upstream, only
    error-catching part remains)
  - 90_08_disable_all_usb.patch (unrelated nearby changes)
  - 90_10-hci_usb-zero-packet.patch (renamed config option)
- Removed obsolete patches (merged upstream):
  - 01_01-storage-unusual_devs.patch
  - 01_02-scanner-0.4.14-new-ids.patch
  - 01_03-scanner-0.4.14-max-minor.patch
  - 01_04-scanner-0.4.14-disconnect.patch
  - 01_05-scanner-0.4.14-cleanup-fix.patch
  - 01_06-hcd-ehci-arm-readb.patch
  - 01_07-serial-ftdi_sio-new-ids.patch
  - 01_08-net-zaurus-750-760.patch
  - 01_10-video-pwc-8.11.patch
  - 01_11-serial-pl2303-0.10.patch
  - 01_12-storage-unusual_devs.patch
  - 01_13-hcd-ehci-hs-interrupt.patch
  - 01_14-serial-pl2303-fix.patch
  - 01_15-serial-ftdi_sio-new-ids.patch
  - 01_16-storage-unusual_devs.patch
  - 01_17-hcd-ehci-reset-fix.patch
  - 01_18-serial-io_ti-new-ids.patch
  - 01_19-storage-unusual_devs.patch
  - 01_20-serial-ftdi_sio-cleanup.patch
  - 01_24-serial-visor-garmin-ique.patch
  - 03_01-serial-pl2303-halt-fix.patch
  - 03_02-serial-update.patch
  - 03_03-serial-pl2303-B0-locking.patch
  - 03_04-serial-disconnect-oops.patch
  - 03_05-acm-copy_from_user.patch
  - 03_06-aiptek-copy_from_user.patch
  - 03_07-hcd-uhci-copy_to_user.patch
  - 03_08-mdc800-copy_to_user.patch
  - 03_09-video-stv680-copy_from_user.patch
  - 03_10-video-vicam-copy_to_user.patch
  - 03_11-storage-unusual_devs.patch
  - 05_01-storage-unusual_devs.patch
  - 05_02-pl2303-new-ids.patch
  - 05_11-storage-ufi-pad.patch
  - 05_13-serial-ipaq-fix.patch
  - 05_14-video-locking-fixes.patch
  - 05_15-serial-ftdi_sio-new-ids.patch
  - 05_17-storage-unusual_devs.patch
  - 08_02-scanner-0.4.15.patch
  - 08_03-scanner-0.4.15.patch
  - 08_04-scanner-0.4.15.patch
  - 08_08-serial-visor-treo-600.patch
  - 08_11-hcd-ehci-fixes.patch
  - 08_13-serial-ftdi_sio-new-ids.patch
  - 08_14-serial-ftdi_sio-new-ids.patch
  - 08_15-serial-ftdi_sio-version.patch
  - 08_16-storage-unusual_devs.patch
  - 11_01-serial-ftdi_sio-new-ids.patch
  - 11_03-scanner-0.4.16.patch
  - 11_04-net-pegasus-update.patch
  - 11_05-storage-unusual_devs.patch
  - 11_06-storage-unusual_devs.patch
  - 11_07-storage-unusual_devs.patch
  - 11_08-storage-unusual_devs.patch
  - 11_09-storage-unusual_devs.patch
  - 11_10-storage-unusual_devs.patch
  - 11_11-storage-unusual_devs.patch
  - 11_12-storage-unusual_devs.patch
  - 11_13-storage-unusual_devs.patch
  - 11_14-storage-unusual_devs.patch
  - 11_15-storage-unusual_devs.patch
  - 11_16-serial-pl2303-new-ids.patch
  - 11_17-serial-io_edgeport-error.patch
  - 11_18-serial-io_edgeport-align.patch
  - 11_19-printer-0.13-backport.patch
  - 11_20-serial-mct_u232-cts.patch
  - 11_21-serial-visor-sony-ux50.patch
  - 17_02-hcd-memalloc.patch
  - 17_04-serial-visor-sony-clie-peg-tj25.patch
  - 17_05-storage-unusual_devs.patch
  - 17_06-storage-unusual_devs.patch
  - 17_10-auerswald-new-ids.patch
  - 17_11-storage-unusual_devs.patch
  - 17_12-storage-unusual_devs.patch
  - 17_22-storage-unusual_devs.patch
  - 17_23-storage-fixes.patch
  - 17_24-core-memalloc.patch
  - 17_25-hcd-ehci-fixes.patch
  - 17_27-storage-unusual_devs.patch
  - 17_28-hcd-ehci-update.patch
  - 17_29-hcd-ehci-update.patch
  - 17_30-hcd-ehci-update.patch

* Mon Feb 02 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.02-alt1
- Added:
  - 17_02-hcd-memalloc.patch: use GFP_NOIO for memory allocations possibly in
    storage path (avoid deadlocks)
  - 17_04-serial-visor-sony-clie-peg-tj25.patch: Sony Clie PEG-TJ25
  - 17_05-storage-unusual_devs.patch: Pentax Optio 330GS camera
  - 17_06-storage-unusual_devs.patch: Feiya 5-in-1 Card Reader
  - 17_10-auerswald-new-ids.patch: COMpact 2204 USB
  - 17_11-storage-unusual_devs.patch: Trumpion MP3 player
  - 17_12-storage-unusual_devs.patch: revert freecom dvd-rw fx-50 usb-ide patch
  - 17_22-storage-unusual_devs.patch: Netac USB-CF
  - 17_23-storage-fixes.patch: usb-storage bugfixes
  - 17_24-core-memalloc.patch: use GFP_NOIO for memory allocations possibly in
    storage path (avoid deadlocks)
  - 17_25-hcd-ehci-fixes.patch: EHCI 8/16-bit access fixes
  - 17_27-storage-unusual_devs.patch: Kyocera Finecam L3
  - 17_28-hcd-ehci-update.patch, 17_29-hcd-ehci-update.patch,
    17_30-hcd-ehci-update.patch: EHCI driver fixes for high bandwidth ISO
    transfers

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- added:
  - 11_01-serial-ftdi_sio-new-ids.patch: add support for Protego devices to
    ftdi_sio driver
  - 11_03-scanner-0.4.16.patch: scanner driver: new device ids
  - 11_04-net-pegasus-update.patch: pegasus driver update (new device ids,
    fixed flags for some devices)
  - 11_05-storage-unusual_devs.patch: Pentax Optio S4
  - 11_06-storage-unusual_devs.patch: Fujifilm EX-20
  - 11_07-storage-unusual_devs.patch: Kyocera S5 camera
  - 11_08-storage-unusual_devs.patch: Minolta DiMAGE 7/7i//7Hi
  - 11_09-storage-unusual_devs.patch: Sony Memory Stick Reader MSAC-US1
  - 11_10-storage-unusual_devs.patch: freecom dvd-rw fx-50 usb-ide
  - 11_11-storage-unusual_devs.patch: CD-509 USB to IDE
  - 11_12-storage-unusual_devs.patch: Mitsumi USB FDD
  - 11_13-storage-unusual_devs.patch: Minolta Dimage S414
  - 11_14-storage-unusual_devs.patch: Medion 6047 Digital Camera
  - 11_15-storage-unusual_devs.patch: Datafab USB to CF + SM Combo (LC1)
  - 11_16-serial-pl2303-new-ids.patch: another ATEN vendor ID
  - 11_17-serial-io_edgeport-error.patch: fix io_edgeport error handling
  - 11_18-serial-io_edgeport-align.patch: fix io_edgeport driver alignment
    issues
  - 11_19-printer-0.13-backport.patch: Backport of printer 2.6=>2.4 (fixed
    buffer allocation and possible races)
  - 11_20-serial-mct_u232-cts.patch: allow MCT-U232 to work with devices which
    do not assert CTS
  - 11_21-serial-visor-sony-ux50.patch: add support for Sony UX50 device to
    visor driver

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- added:
  + 90_10-hci_usb-zero-packet.patch - make CONFIG_BLUEZ_USB_ZERO_PACKET
    configurable via the hci_usb module parameter (zero_packet).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- added:
  + 08_02-scanner-0.4.15.patch
  + 08_03-scanner-0.4.15.patch
  + 08_04-scanner-0.4.15.patch
  + 08_08-serial-visor-treo-600.patch
  + 08_11-hcd-ehci-fixes.patch
  + 08_13-serial-ftdi_sio-new-ids.patch
  + 08_14-serial-ftdi_sio-new-ids.patch
  + 08_15-serial-ftdi_sio-version.patch
  + 08_16-storage-unusual_devs.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- moved from kernel-feat-drivers-usb to here:
  + 01_07-serial-ftdi_sio-new-ids.patch
  + 01_08-net-zaurus-750-760.patch
  + 01_15-serial-ftdi_sio-new-ids-2.patch
  + 01_18-serial-io_ti-new-ids.patch
  + 01_24-serial-visor-garmin-ique.patch
- added:
  + 01_20-serial-ftdi_sio-cleanup.patch
  + 03_01-serial-pl2303-halt-fix.patch
  + 03_02-serial-update.patch
  + 03_03-serial-pl2303-B0-locking.patch
  + 03_04-serial-disconnect-oops.patch
  + 03_05-acm-copy_from_user.patch
  + 03_06-aiptek-copy_from_user.patch
  + 03_07-hcd-uhci-copy_to_user.patch
  + 03_08-mdc800-copy_to_user.patch
  + 03_09-video-stv680-copy_from_user.patch
  + 03_10-video-vicam-copy_to_user.patch
  + 03_11-storage-unusual_devs.patch
  + 05_01-storage-unusual_devs.patch
  + 05_02-pl2303-new-ids.patch
  + 05_11-storage-ufi-pad.patch
  + 05_13-serial-ipaq-fix.patch
  + 05_14-video-locking-fixes.patch
  + 05_15-serial-ftdi_sio-new-ids.patch
  + 05_17-storage-unusual_devs.patch
  + 90_09-serial-ipaq-rover-p3plus.patch

* Thu Sep 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.25-alt1
- added 80_02-serial-zyxel-omninet.diff: ZyXEL Omni 56K PLUS & DUO support

* Tue Sep 02 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.02-alt1
- removed:
  - 01_30-hcd-ehci-io-watchdog.patch (already in 2.4.22)
  - 80_02-scanner-fix-alt.patch (replaced with *-scanner-0.4.14-*)
  - 90_05_usb-storage-unusual_devs.patch (already in 2.4.22)
  - 90_07_usb-pwc-update.patch (adds bugs instead of fixing them)
- added:
  + 01_01-storage-unusual_devs.patch
  + 01_02-scanner-0.4.14-new-ids.patch
  + 01_03-scanner-0.4.14-max-minor.patch
  + 01_04-scanner-0.4.14-disconnect.patch
  + 01_05-scanner-0.4.14-cleanup-fix.patch
  + 01_06-hcd-ehci-arm-readb.patch
  + 01_10-video-pwc-8.11.patch
  + 01_11-serial-pl2303-0.10.patch
  + 01_12-storage-unusual_devs.patch
  + 01_13-hcd-ehci-hs-interrupt.patch
  + 01_14-serial-pl2303-fix.patch
  + 01_16-storage-unusual_devs.patch
  + 01_17-hcd-ehci-reset-fix.patch
  + 01_19-storage-unusual_devs.patch
- updated:
  + 90_02_usb_storage.patch (fixed conflicts with other patches; is this patch
    really required for 2.4.22?)

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed: 01_25-serial-pl2303-oops.patch
01_34-hcd-ehci-smp-bug.patch
01_36-serial-pl2303-break.patch
01_38-hcd-ehci-compile-fix.patch
01_39-storage-pid_t.patch
01_40-core-pid_t.patch
01_41-storage-olympus-sign.patch
01_49-net-ethtool-name-1.patch
01_51-core-usbdevfs-race.patch
01_52-net-ethtool-name-2.patch
01_54-hid-report-id.patch
01_61-hid-logical-min-max.patch
02_11-hcd-usb-uhci-oneshot-int.patch
02_12-hcd-usb-ohci-oneshot-int.patch
02_13-video-vicam-disconnect-1.patch
02_14-video-vicam-disconnect-2.patch
02_15-video-vicam-disconnect-3.patch
05_02-core-langid-uninitialized.patch
05_12-storage-fix-capacity.patch
05_13-storage-inquiry-fix.patch
80_01-video-vicam-compile.patch 


* Wed Jul 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.16-alt1
- added:
   + core-langid-uninitialized - prevent access to uninitialized memory in
     usb_string()
   + storage-fix-capacity - support for FL_FIX_CAPACITY in usb-storage
     (prerequisite for the next patch)
   + storage-inquiry-fix - fixed possible oops in usb-storage when handling
     INQUIRY

* Mon Jul 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.07-alt2
- added:
   + scanner-fix-alt - fixed oops when unplugging an used scanner; fixed probe
     error handling

* Mon Jul 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.07-alt1
- new patches from linux-usb-devel:
   + workaround for pl2303 oops on close
   + EHCI I/O watchdog timer (fixes intermittent bulk I/O halts)
   + EHCI SMP bugfix
   + pl2303 break control fix
   + ehci-hcd compile fix
   + fix to use pid_t for pid storage
   + ethtool driver name fixes
   + usbdevfs/khubd race fix
   + one-shot interrupt transfer fix for usb-uhci and usb-ohci
   + vicam disconnect handling fix
- compilation fix for the updated vicam driver
- some old patches replaced with equivalent from linux-usb-devel
- updated hid-core-noget-alt patch: removed old cruft (hid_blst_noget etc.),
  left only the no_get parameter handling

* Fri Jul  4 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt3
- spec typos fixed

* Tue Jul  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt2
- usb-hid-report-id and usb-hid-logical-min-max patches added
- spec improvements: using %%source and %%install_patches macroses

* Mon Jun 30 2003 Ed V. Bartosh <ed@sam-solutions.net> 2003.06.30-alt1
- Initial release

